.squiggle-link {
  color: var(--combined-red);
  text-decoration-color: var(--neon-blue);
  text-decoration-skip-ink: auto;
  text-underline-offset: 3px;
  text-decoration-thickness: 3px;
  text-transform: lowercase;
  line-height: 1em;
  background-image: none;
  background-position: 0 90%;
  background-repeat: repeat-x;
  background-size: auto 0.25em;
  font-family: var(--secondary-font);
  padding: $s2 0;

  @include for-tablet-up{
    // border-bottom: 3px solid var(--neon-blue);
    background-image: none;
    background-size: auto 0.35em;

    &:hover {
      background-image: url('/assets/img/squiggle-neonblue.svg');
      text-decoration: none;
    }
  }

  &--red {
    color: var(--neon-blue);
    text-decoration-color: var(--combined-red);
    text-decoration-thickness: 2px; //red variant is used exclusively with smaller links
    padding: $s1 0;

    @include for-tablet-up{
      background-image: none;
      &:hover {
        background-image: url('/assets/img/squiggle-neonred.svg');
      }
    }
  }


  @media (prefers-reduced-motion) {
    background-image: none !important;
    border-bottom: 3px solid var(--neon-blue);
  }
}